netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
switch.c File Reference
`#include <stdio.h>`
`#include <sys/stat.h>`
`#include <atalk/afp.h>`
`#include <atalk/globals.h>`
`#include <atalk/logger.h>`
`#include <atalk/uam.h>`
`#include "acls.h"`
`#include "auth.h"`
`#include "desktop.h"`
`#include "directory.h"`
`#include "file.h"`
`#include "filedir.h"`
`#include "fork.h"`
`#include "misc.h"`
`#include "status.h"`
`#include "switch.h"`

## Functions
static int | afp_null (AFPObj *obj, char *ibuf, size_t ibuflen, char *rbuf, size_t *rbuflen)
int | uam_afpserver_action (const int id, const int which, AFPCmd new_table, AFPCmd *old)

## Variables
static AFPCmd | preauth_switch []
AFPCmd * | afp_switch = preauth_switch
AFPCmd | postauth_switch []

## Function Documentation

## ◆ afp_null()

int afp_null | ( | AFPObj * | obj,
|  | char * | ibuf,
|  | size_t | ibuflen,
|  | char * | rbuf,
|  | size_t * | rbuflen )
| static

## ◆ uam_afpserver_action()

int uam_afpserver_action | ( | const int | id,
|  | const int | which,
|  | AFPCmd | new_table,
|  | AFPCmd * | old )

## Variable Documentation

## ◆ afp_switch

AFPCmd* afp_switch = preauth_switch

## ◆ postauth_switch

AFPCmd postauth_switch[]

## ◆ preauth_switch

AFPCmd preauth_switch[]
| static

Routines marked "NULL" are not AFP functions. Routines marked "afp_null" are AFP functions which are not yet implemented. A fine line...